.\" Man page generated from reStructuredText.
.
.TH ANORACK 1 "2022-04-25" "anorack 0.2.8" ""
.SH NAME
anorack \- “a” vs “an” checker
.
.nr rst2man-indent-level 0
.
.de1 rstReportMargin
\\$1 \\n[an-margin]
level \\n[rst2man-indent-level]
level margin: \\n[rst2man-indent\\n[rst2man-indent-level]]
-
\\n[rst2man-indent0]
\\n[rst2man-indent1]
\\n[rst2man-indent2]
..
.de1 INDENT
.\" .rstReportMargin pre:
. RS \\$1
. nr rst2man-indent\\n[rst2man-indent-level] \\n[an-margin]
. nr rst2man-indent-level +1
.\" .rstReportMargin post:
..
.de UNINDENT
. RE
.\" indent \\n[an-margin]
.\" old: \\n[rst2man-indent\\n[rst2man-indent-level]]
.nr rst2man-indent-level -1
.\" new: \\n[rst2man-indent\\n[rst2man-indent-level]]
.in \\n[rst2man-indent\\n[rst2man-indent-level]]u
..
.SH SYNOPSIS
.sp
\fBanorack\fP [\fIoption\fP\&...] [\fIfile\fP\&...]
.SH DESCRIPTION
.sp
The English language has two indefinite articles:
.INDENT 0.0
.IP \(bu 2
\fIa\fP: used before words that begin with a consonant sound (e.g., \fIa program\fP, \fIa host\fP, \fIa user\fP);
.IP \(bu 2
\fIan\fP: used before words that begin with a vowel sound (e.g., \fIan example\fP, \fIan hour\fP, \fIan undefined variable\fP).
.UNINDENT
.sp
\fBanorack\fP is a specialized spell\-checker
that finds incorrect indefinite articles.
.SH OPTIONS
.INDENT 0.0
.TP
.B \-\-ipa
Print phonemes using IPA (International Phonetic Alphabet)
instead of ASCII phoneme mnemonics.
.TP
.B \-h\fP,\fB  \-\-help
Show help message and exit.
.TP
.B \-\-version
Show version information and exit.
.UNINDENT
.SH EXAMPLE
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
$ cat test
a Ubuntu user
a 8\-byte word
an username

$ anorack test
test:1: a Ubuntu \-> an Ubuntu /u:b\(aqu:ntu:/
test:2: a 8 \-> an 8 /\(aqeIt/
test:3: an username \-> a username /j\(aqu:z3n,eIm/
.ft P
.fi
.UNINDENT
.UNINDENT
.SH SEE ALSO
.sp
\fBespeak\fP(1)
.
.\" Generated by docutils manpage writer.
.
